﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace Convertor
{
    public class Jednotka
    {


        /// <summary>
        ///  Jednotka míry/ váhy nebo kapacity
        /// </summary>
        /// <param name="nasobitel">Určuje vztah mezi základní jednotkou</param>
        /// <param name="odkazNaNazev">Odkaz na string ve slovníku</param>
        /// <param name="zkratka">Zkratka jednotky</param>
        public Jednotka(int nasobitel, string odkazNaNazev, string zkratka)
        {
            Nasobitel = nasobitel;
            OdkazNaNazev = odkazNaNazev;
            Zkratka = zkratka;
        }

        public int Nasobitel { get; private set; }
        public string OdkazNaNazev { get; private set; }
        public string Zkratka { get; private set; }
        public string Popisek
        {
            get
            {
                //vrátí název ze slovníku a za to napíše zkratku
                var rd = Application.Current.Resources.MergedDictionaries[0];
                return string.Concat(rd[OdkazNaNazev].ToString(), " (", Zkratka, ")");
            }
        }
    }
}
