﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Convertor
{
    /// <summary>
    /// Interaction logic for pocitadlo.xaml
    /// </summary>
    public partial class pocitadlo : UserControl
    {
        public pocitadlo()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            double cislo;
           
            switch (((Button)sender).Content.ToString())
            {
                case "˄":
                    if (double.TryParse(CisloBox.Text, NumberStyles.Any, CultureInfo.CurrentCulture, out cislo))
                        CisloBox.Text = (++cislo).ToString("F",CultureInfo.CurrentCulture);
                    break;

                case "˅":
                    if (double.TryParse(CisloBox.Text, NumberStyles.Any, CultureInfo.CurrentCulture, out cislo))
                        CisloBox.Text = (--cislo).ToString("F", CultureInfo.CurrentCulture);
                    break;
            }
        }

        private void CisloBox_TextChanged(object sender, TextChangedEventArgs e)
        {
            if (!Regex.IsMatch(CisloBox.Text, "^[0123456789,.]+$") ||
                CisloBox.Text.Count(znak => znak == ',' || znak == '.') > 1 ||
                !char.IsDigit(CisloBox.Text[CisloBox.Text.Length - 1]))
                CisloBox.Foreground = Brushes.Red;// pokud text obsahuje nepovolený znak nebo je tam příliš mnoho desetinných čárek/teček nebo posledním znakem není číslo

            else
                CisloBox.Foreground = (SolidColorBrush) (new BrushConverter().ConvertFrom("#FF2D2D30"));
        }
    }
}
